

	control = {
		up = "w",
		down = "s",
		left = "a",
		right = "d",
		attack = "l"
	}
	
	player = {
		x = 600,
		y = 325,
		speed = 200,
		sprite = love.graphics.newImage("pics/quads/player.png"),
		direction = "down",
		iterator = 1
	}
	
	playerQuads = {
		down = {
			love.graphics.newQuad(0, 0, 24, 63, 96, 252),
			love.graphics.newQuad(0, 63, 24, 63, 96, 252),
			love.graphics.newQuad(0, 126, 24, 63, 96, 252),
			love.graphics.newQuad(0, 189, 24, 63, 96, 252)
		},
		up = {
			love.graphics.newQuad(24, 0, 24, 63, 96, 252),
			love.graphics.newQuad(24, 63, 24, 63, 96, 252),
			love.graphics.newQuad(24, 126, 24, 63, 96, 252),
			love.graphics.newQuad(24, 189, 24, 63, 96, 252)
		},
		right = {
			love.graphics.newQuad(48, 0, 24, 63, 96, 252),
			love.graphics.newQuad(48, 63, 24, 63, 96, 252),
			love.graphics.newQuad(48, 126, 24, 63, 96, 252),
			love.graphics.newQuad(48, 189, 24, 63, 96, 252)
		},
		left = {
			love.graphics.newQuad(72, 0, 24, 63, 96, 252),
			love.graphics.newQuad(72, 63, 24, 63, 96, 252),
			love.graphics.newQuad(72, 126, 24, 63, 96, 252),
			love.graphics.newQuad(72, 189, 24, 63, 96, 252)
		}
	}
	

function playerDraw()

	if gamestate == "playing" then
		love.graphics.drawq(player.sprite, playerQuads[player.direction][player.iterator], player.x, player.y)
	end
	
end

function playerMove(dt)
	
	if love.keyboard.isDown(control.up) then
		player.y = player.y - player.speed * dt
		player.direction = "up"
		player.iterator = player.iterator + dt
	end
	
	if love.keyboard.isDown(control.down) then
		player.y = player.y + player.speed * dt
		player.direction = "down"
		player.iterator = player.iterator + dt
	end

	if love.keyboard.isDown(control.right) then
		player.x = player.x + player.speed * dt
		player.direction = "rigth"
		player.iterator = player.iterator + dt
	end

	if love.keyboard.isDown(control.left) then
		player.x = player.x - player.speed * dt
		player.direction = "left"
		player.iterator = player.iterator + dt
	end

end

function playerTimer(dt)

	if player.iterator > 4 then
		player.iterator = 0
	end

end








